# Blackboard Keyboard

The **Blackboard Keyboard** is a custom-built, open source mechanical keyboard powered by QMK and based on the STM32F411 Blackpill microcontroller. Designed for tinkerers, developers, and mechanical keyboard enthusiasts, the Blackboard is a compact and versatile keyboard with a focus on performance and expandability.

![PCB Layout](.images/pcb.png)

## ✨ Features

- ✅ QMK Firmware support
- ✅ Powered by STM32F411 Blackpill (ARM Cortex-M4 @ 100MHz)
- ✅ Flexible layout support via QMK
- ✅ Designed with DIY assembly in mind
- ✅ USB-C connection (via Blackpill)
- ✅ Open hardware and firmware
